hpp-python: pyhpp::manipulation::Problem Struct Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Public Member Functions | Public Attributes | List of all members
pyhpp::manipulation::Problem Struct Reference

`#include <pyhpp/manipulation/problem.hh>`

Inheritance diagram for pyhpp::manipulation::Problem:
[legend]
Collaboration diagram for pyhpp::manipulation::Problem:
[legend]

## Public Member Functions
| Problem (const PyWDevicePtr_t &robot)
| Problem (const hpp::manipulation::ProblemPtr_t &object)
void | constraintGraph (const PyWGraphPtr_t &graph)
PyWGraphPtr_t | constraintGraph () const
virtual void | checkProblem () const
void | steeringMethod (const pyhpp::core::PyWSteeringMethodPtr_t &steeringMethod)
pyhpp::core::PyWSteeringMethodPtr_t | steeringMethod () const
void | fullSteeringMethod (const pyhpp::core::PyWSteeringMethodPtr_t &steeringMethod)
Public Member Functions inherited from hpp::core::Problem
| Problem ()
virtual | ~Problem ()
virtual void | checkProblem () const
const Parameter & | getParameter (const std::string &name) const
void | setParameter (const std::string &name, const Parameter &value)
const DevicePtr_t & | robot () const
const Configuration_t & | initConfig () const
void | initConfig (ConfigurationIn_t inConfig)
void | target (const ProblemTargetPtr_t &target)
const ProblemTargetPtr_t & | target () const
const Configurations_t | goalConfigs () const
void | addGoalConfig (ConfigurationIn_t config)
void | resetGoalConfigs ()
void | steeringMethod (const SteeringMethodPtr_t &sm)
SteeringMethodPtr_t | steeringMethod () const
void | distance (const DistancePtr_t &distance)
const DistancePtr_t & | distance () const
void | configValidation (const ConfigValidationsPtr_t &configValidations)
const ConfigValidationsPtr_t & | configValidations () const
void | clearConfigValidations ()
void | addConfigValidation (const ConfigValidationPtr_t &configValidation)
virtual void | pathValidation (const PathValidationPtr_t &pathValidation)
PathValidationPtr_t | pathValidation () const
void | configurationShooter (const ConfigurationShooterPtr_t &configurationShooter)
ConfigurationShooterPtr_t | configurationShooter () const
void | pathProjector (const PathProjectorPtr_t &pathProjector)
PathProjectorPtr_t | pathProjector () const
void | constraints (const ConstraintSetPtr_t &constraints)
const ConstraintSetPtr_t & | constraints () const
void | addObstacle (const CollisionObjectPtr_t &object)
void | removeObstacleFromJoint (const JointPtr_t &joint, const CollisionObjectConstPtr_t &obstacle)
void | filterCollisionPairs ()
void | setSecurityMargins (const matrix_t &securityMatrix)
const ObjectStdVector_t & | collisionObstacles () const
void | collisionObstacles (const ObjectStdVector_t &collisionObstacles)
const DevicePtr_t & | robot () const
const Configuration_t & | initConfig () const
void | initConfig (ConfigurationIn_t inConfig)
void | target (const ProblemTargetPtr_t &target)
const ProblemTargetPtr_t & | target () const
const Configurations_t | goalConfigs () const
void | addGoalConfig (ConfigurationIn_t config)
void | resetGoalConfigs ()
void | steeringMethod (const SteeringMethodPtr_t &sm)
SteeringMethodPtr_t | steeringMethod () const
void | distance (const DistancePtr_t &distance)
const DistancePtr_t & | distance () const
void | configValidation (const ConfigValidationsPtr_t &configValidations)
const ConfigValidationsPtr_t & | configValidations () const
void | clearConfigValidations ()
void | addConfigValidation (const ConfigValidationPtr_t &configValidation)
virtual void | pathValidation (const PathValidationPtr_t &pathValidation)
PathValidationPtr_t | pathValidation () const
void | configurationShooter (const ConfigurationShooterPtr_t &configurationShooter)
ConfigurationShooterPtr_t | configurationShooter () const
void | pathProjector (const PathProjectorPtr_t &pathProjector)
PathProjectorPtr_t | pathProjector () const
void | constraints (const ConstraintSetPtr_t &constraints)
const ConstraintSetPtr_t & | constraints () const
void | addObstacle (const CollisionObjectPtr_t &object)
void | removeObstacleFromJoint (const JointPtr_t &joint, const CollisionObjectConstPtr_t &obstacle)
void | filterCollisionPairs ()
void | setSecurityMargins (const matrix_t &securityMatrix)
const ObjectStdVector_t & | collisionObstacles () const
void | collisionObstacles (const ObjectStdVector_t &collisionObstacles)

## Public Attributes
hpp::core::Container< JointAndShapes_t > | jointAndShapes
PyWGraphPtr_t | graph_
Public Attributes inherited from hpp::core::Problem
Container< Parameter > | parameters

## Additional Inherited Members
Static Public Member Functions inherited from hpp::core::Problem
static ProblemPtr_t | create (DevicePtr_t robot)
static ProblemPtr_t | createCopy (const ProblemConstPtr_t &other)
static void | declareParameter (const ParameterDescription &desc)
static const Container< ParameterDescription > & | parameterDescriptions ()
static const ParameterDescription & | parameterDescription (const std::string &name)
Protected Member Functions inherited from hpp::core::Problem
| Problem (DevicePtr_t robot)
| Problem (const Problem &other)=default
void | init (ProblemWkPtr_t wkPtr)

## Constructor & Destructor Documentation

## ◆ Problem() [1/2]

pyhpp::manipulation::Problem::Problem | ( | const PyWDevicePtr_t & | robot | ) |

## ◆ Problem() [2/2]

pyhpp::manipulation::Problem::Problem | ( | const hpp::manipulation::ProblemPtr_t & | object | ) |

## Member Function Documentation

## ◆ checkProblem()

virtual void pyhpp::manipulation::Problem::checkProblem | ( |  | ) | const
| virtual

Reimplemented from hpp::core::Problem.

## ◆ constraintGraph() [1/2]

PyWGraphPtr_t pyhpp::manipulation::Problem::constraintGraph | ( |  | ) | const

## ◆ constraintGraph() [2/2]

void pyhpp::manipulation::Problem::constraintGraph | ( | const PyWGraphPtr_t & | graph | ) |

## ◆ fullSteeringMethod()

void pyhpp::manipulation::Problem::fullSteeringMethod | ( | const pyhpp::core::PyWSteeringMethodPtr_t & | steeringMethod | ) |

## ◆ steeringMethod() [1/2]

pyhpp::core::PyWSteeringMethodPtr_t pyhpp::manipulation::Problem::steeringMethod | ( |  | ) | const

## ◆ steeringMethod() [2/2]

void pyhpp::manipulation::Problem::steeringMethod | ( | const pyhpp::core::PyWSteeringMethodPtr_t & | steeringMethod | ) |

## Member Data Documentation

## ◆ graph_

PyWGraphPtr_t pyhpp::manipulation::Problem::graph_

## ◆ jointAndShapes

hpp::core::Container<JointAndShapes_t> pyhpp::manipulation::Problem::jointAndShapes

The documentation for this struct was generated from the following files:

- src/pyhpp/manipulation/problem.hh
- src/pyhpp/manipulation/problem.cc